package com.liquidnet.service.galaxy.dto.bo;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: GalaxySeriesNftUploadTempSecretBo
 * @Package com.liquidnet.service.galaxy.dto.bo
 * @Copyright: LightNet @ Copyright (c) 2022
 * @date 2022/4/7 13:49
 */
@Data
public class GalaxySeriesNftUploadTempSecretBo implements Serializable,Cloneable {
    String tempSecretId;
    String tempSecretKey;
    String sessionToken;
    String uploadAddress;
    String timestamp;
    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }

    private static final GalaxySeriesNftUploadTempSecretBo obj = new GalaxySeriesNftUploadTempSecretBo();

    public static GalaxySeriesNftUploadTempSecretBo getNew() {
        try {
            return (GalaxySeriesNftUploadTempSecretBo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new GalaxySeriesNftUploadTempSecretBo();
        }
    }
}
